Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.context.servlet
[Groovy] Class GrailsFlowUrlHandler

    java.lang.Object
      org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
          org.codehaus.groovy.grails.webflow.context.servlet.GrailsFlowUrlHandler

    class GrailsFlowUrlHandler
    extends DefaultFlowUrlHandler

Changes the default FlowUrlHandler to take into account that Grails request run as part of a forward.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`ApplicationContext` | `applicationContext`

Method Summary
`java.lang.String` | `createFlowDefinitionUrl(java.lang.String flowId, AttributeMap input, HttpServletRequest request)`
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, HttpServletRequest request)`
`java.lang.String` | `getFlowId(HttpServletRequest request)`
`java.lang.String` | `trimParams(java.lang.String url)`

Property Detail

### applicationContext

    ApplicationContext applicationContext

Method Detail

### createFlowDefinitionUrl

    java.lang.String createFlowDefinitionUrl(java.lang.String flowId, AttributeMap input, HttpServletRequest request)

### createFlowExecutionUrl

    java.lang.String createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, HttpServletRequest request)

### getFlowId

    java.lang.String getFlowId(HttpServletRequest request)

### trimParams

    java.lang.String trimParams(java.lang.String url)

Groovy Documentation